# newgrf_spritegroup.cpp File Reference

Handling of primarily NewGRF action 2. More...

`#include "stdafx.h"`
`#include "newgrf.h"`
`#include "newgrf_spritegroup.h"`
`#include "sprite.h"`
`#include "core/pool_func.hpp"`

Go to the source code of this file.

## Functions
static uint32 | GetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static uint32 | RotateRight (uint32 val, uint32 rot)
| Rotate val rot times to the right.
template<typename U , typename S >
static U | EvalAdjustT (const DeterministicSpriteGroupAdjust *adjust, ResolverObject *object, U last_value, uint32 value)
## Variables
SpriteGroupPool | _spritegroup_pool ("SpriteGroup")
TemporaryStorageArray< int32, 0x110 > | _temp_store

## Detailed Description

Handling of primarily NewGRF action 2.

Definition in file newgrf_spritegroup.cpp.

## Function Documentation

static uint32 RotateRight | ( | uint32 | val,
|  | uint32 | rot |
| ) |  |  | `[static]`

Rotate val rot times to the right.

Parameters:

  | val | the value to rotate
  | rot | the amount of times to rotate

Returns:
  the rotated value

Definition at line 80 of file newgrf_spritegroup.cpp.